Skip to content

3.2.3 List Inbound Orders ​

Endpoint:

plain
POST /OpenApi/V1/Inbound/Inbounding/list?signature=xxx

HTTP method: POST

Request parameters:

FieldTypeRequiredDescriptionNotes
pageintNoPage number
pageSizeintNoPage sizeMaximum 500
keywordstringNoKeyword
inboundingStatusintNoStatus
inboundingTypeintNoInbound type
carrierTypeintNoTransport mode
operateTypeintNoOperation type
deliveryTypeintNoLast-mile delivery type
warehouseCodestringNoWarehouse ID

Success response example:

json
{
    "code": "200",
    "result": {
        "page": 1,
        "pageSize": 20,
        "list": [{
            "inboundingNo": "Inbound order number",
            "inboundingBizNo": "Inbound batch number",
            "userInboundNo": "Customer reference number",
            "inboundingType": "Inbound type: 1 full container; 2 loose cargo",
            "carrierType": "Transport mode: 100 sea freight; 200 air freight; 300 transfer",
            "arrivalType": "Arrival method: 100 cartons; 200 pallets; 301 20-foot container; 302 40-foot container; 303 40-foot high-cube container; 304 45-foot high-cube container",
            "containerNum": "Container number or air waybill (AWB) number",
            "caseInboundPallet": "Expected inbound pallet count",
            "etd": "Shipment time",
            "eta": "Estimated arrival time",
            "remark": "Notes",
            "inboundingStatus": "Status: 1 awaiting inbound receipt; 2 receiving; 3 received; 4 completed; 5 canceled",
            "receiveTime": "Actual receiving time",
            "caseCount": "Expected carton count (total cartons)",
            "receiveCount": "Actual received quantity (cartons received)",
            "receiveInboundPallet": "Received inbound pallet count",
            "createTime": "Creation time",
            "distanceUnit": "Dimension unit: 1 in; 2 cm"
        }]
    },
    "message": "Retrieved successfully"
}

Error response example:

json
{
    "code": "400",
    "result": [],
    "message": "Failed to retrieve"
}